Bug 413561 - Review Request: ruby-revolution - Ruby binding for the Evolution email client
Review Request: ruby-revolution - Ruby binding for the Evolution email client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-06 02:05 EST by Mamoru TASAKA
Modified: 2007-12-11 13:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-11 13:35:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kwizart: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2007-12-06 02:05:57 EST
Spec URL: http://mtasaka.fedorapeople.org/Review_request/ruby-revolution/ruby-revolution.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/ruby-revolution/ruby-revolution-0.5-1.svn210.fc8.src.rpm
Description: 
Revolution is a Ruby binding for the Evolution email client. 
It's sponsored - i.e., written on work time and open sourced 
with a BSD or GPL license - by InfoEther.

koji scratch build for dist-f8-updates-candidate is here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=278179

Note: Due to license issue, I will use latest svn.
http://rubyforge.org/forum/forum.php?forum_id=19599
Comment 1 Nicolas Chauvet (kwizart) 2007-12-10 16:44:20 EST
starting review
Comment 2 Nicolas Chauvet (kwizart) 2007-12-10 17:39:27 EST
* License is BSD with advertising or GPLv2 - OK
* Dependant package license is compatible - OK
 - Ruby Ruby or GPL+
 - evolution-data-server LGPLv2+
* Package is arch dependent - OK

I think it would be a good thing to have the snapshot made by a script (that
will remove also CVS and/or .svn directories) - This will made it easier for
others snapshot (if ever it is needed). Not needed for the package to be
approved, so I leave this up to you.

----------

Package ruby-revolution is Approved by me

----------

Comment 3 Mamoru TASAKA 2007-12-10 17:51:59 EST
Thanks!

New Package CVS Request
=======================
Package Name:      ruby-revolution
Short Description: Ruby binding for the Evolution email client
Owners:            mtasaka
Branches:          F-8 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2007-12-11 12:26:22 EST
cvs done.
Comment 5 Mamoru TASAKA 2007-12-11 13:35:37 EST
Rebuilt on all branches, requested on bodhi, closing.

Thank you for your review!

Note You need to log in before you can comment on or make changes to this bug.